Skip to main content
Back to API List This API returns the details of a job. The response varies depending on the job type.
FieldValue
MethodGET
Endpoint<host_url>/api/public/bot/<AppID>/search/jobs/<JobID>
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopeAnswer Generation

Query Parameters

ParameterDescriptionMandatory
AppIDProvide your application ID here.Yes
JobIDUnique identifier for the job.Yes

Sample Response

The following sample response is for a job initiated to export analytics data to a file. The response includes the URL of the exported file.
{
  "_id": "fj-9a39a625-xxxx-xxxx-xxxx-5e8853d41060",
  "hidden": false,
  "read": false,
  "status": "SUCCESS",
  "percentageDone": 100,
  "title": "Exporting Analytics Data - JSON",
  "message": "ANALYTICS DATA JSON Export is Completed",
  "lMod": "2025-02-03T10:38:23.000Z",
  "startedAt": "2025-02-03T10:38:23.395Z",
  "timedOut": false,
  "jobType": "DATA_EXPORT",
  "streamId": "st-1715923c-xxxx-xxxx-xxxx-14920ded9b91",
  "searchIndexId": "sidx-05d139f8-abca-50ec-84f5-2f29855aba5b",
  "fileInfo": {
    "ext": "json",
    "fileId": "67a09c9f3e6fdef7c0992935",
    "fileName": "analytics_data_1738579103410",
    "fileUrl": "https://staging-xo.domain.com:443/api/getMediaStream/findly/f-fd43fdc2-0118-58d8-9c3e-c47259c1d7aa.json?n=3985948310&s=Ii9iZEF2dXBYUEt0OGlIUStBSFJLMUV3WmlDeW5oZGJHamFFVWh2UnhpckU9Ig$$"
  },
  "createdBy": "u-4d04030a-93f3-5cba-a07b-1a5b20a7e9a9",
  "directoryInfo": null,
  "opType": "Manual",
  "extractionSourceId": null,
  "contentId": [],
  "error": [],
  "parentJobId": null,
  "createdOn": "2025-02-03T10:38:23.396Z",
  "__v": 0,
  "store": {
    "urlParams": "&clientfilename=analytics_data_1738579103410.json&batchtesting=true"
  }
}